Reply

AddMaterial

[ Edited ]

Hi all

 

I'm looking for to use the method 'AddMaterial' to ad a new material in the Material.mtl, but the help can't halp me. Who can?

 

My code is:

 

Dim objApp As SolidEdgeFramework.Application

Dim objMaterialTable As SolidEdgeFramework.MatTable

 

Set objApp = GetObject(, "solidedge.application")

If Err Then

Err.Clear

Set objApp = CreateObject("solidedge.application")

End If

 

Set objMaterialTable = objApp.GetMaterialTable

 

Call objMaterialTable.AddMaterial(???, ???, ???, ???, ???, ???)

 

 

I don't know waht the method AddMaterial want as parameter.

 

Posted by: Delki Trolese
Post date: 12/14/2005 1:43:57 AM

1 REPLY

RE: AddMaterial

[ Edited ]

From the VB.Net object browser:

 

Public Overridable Sub AddMaterial(ByVal bstrMatName As String, ByVal lNumProps As Integer, ByVal varPropList As Object, ByVal bstrFaceStyle As String, ByVal bstrFillStyle As String, ByVal bstrVSPlusStyle As String)

 

That's all the help I can give at the moment...I haven't actually used the AddMaterial method.

 

Mike

 

 

Posted by: Michael Frayser
Post date: 12/17/2005 4:21:43 AM